Add a content type snippet

POST https://manage.kontent.ai/v2/projects/:environment_id/snippets

Create a new snippet.

Request Body

{"elements"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}], "name"=>"<string>", "id"=>"<uuid>", "codename"=>"<string>", "last_modified"=>"<dateTime>", "external_id"=>"<string>"}

HEADERS

KeyDatatypeRequiredDescription
Content-Typestring
Acceptstring

RESPONSES

status: Created

{&quot;id&quot;:&quot;c295baa0-f910-499f-9ca2-523be657019d&quot;,&quot;codename&quot;:&quot;my_metadata&quot;,&quot;name&quot;:&quot;Metadata&quot;,&quot;external_id&quot;:&quot;my_metadata_elements&quot;,&quot;elements&quot;:[{&quot;name&quot;:&quot;Meta title&quot;,&quot;guidelines&quot;:&quot;Length: 30–60 characters&quot;,&quot;is_non_localizable&quot;:false,&quot;type&quot;:&quot;text&quot;,&quot;id&quot;:&quot;c44bf9dd-aa3f-41c7-b4d9-a09390e41e16&quot;,&quot;codename&quot;:&quot;my_metadata__meta_title&quot;,&quot;external_id&quot;:&quot;my-meta-title&quot;},{&quot;name&quot;:&quot;Meta description&quot;,&quot;guidelines&quot;:&quot;Length: 70-150 characters&quot;,&quot;is_non_localizable&quot;:false,&quot;type&quot;:&quot;text&quot;,&quot;id&quot;:&quot;59b9800b-81a9-4720-bef0-d4cecbaa646c&quot;,&quot;codename&quot;:&quot;my_metadata__meta_description&quot;,&quot;external_id&quot;:&quot;my-meta-description&quot;}]}